extends Node2D


var LIGHTS = {
	"DAY": Color(1, 1, 1, 1),
	"NIGHT": Color(0.678431, 0.576471, 0.576471),
}

var _current_light = 'DAY'

func change_light(light: String) -> void:
	if _current_light != light:
		$Tween.stop_all()
		_current_light = light
		$Tween.interpolate_property($CanvasModulate, "color" ,$CanvasModulate.color, LIGHTS[light],0.5 )
		$Tween.start()
